package config

//==Message Util==
const UsageTitle = "使用方法Command Usage"
const UsageColour = 0xF00000
const ErrorStack = "纠错信息Debug Info"
const ErrorColour = 0xE00000
const SuccessTitle = "成功Success"
const SuccessColour = 0x00E000
const PermissionErrorTitle = "没有权限Forbidden"
const ErrorCannotFindMember = "请确保你已经加入伺服器。Please make sure that you're in the server."
const ErrorMustNotBeMember = "这个指令不能被会员使用。This command cannot be used by server members."
const ErrorMustBeMember = "这个指令只能在成为会员后使用。This command can only be used by server members."
const ErrorMustDMTitle = "私信保护 DM Protection"
const ErrorMustDMDescription = "<@%s>，这个指令只能在私信中使用。<@%s>, this command can only be used in DMs."
const AuditInfoTitle = "记录Audit Info"
const AuditInfoColour = 0xA0A0A0
const InternalErrorDescription = "发生了不明错误。An unknown error has occurred."

//==Vote==
const VoteErrorTitle = "投票错误Vote Error"
const ErrorForceRejectionReuse = "您在这个月内已使用过:x:。请选择其他选项。\nYou have used :x: this month. Please choose another option."
const ErrorVoteHasEnded = "无法投票给已经结束的投票。\nCannot vote in a vote that has already ended."
const VoteSuccessfulTitle = "投票成功Voted Successfully"
const VoteSuccessfulVoteID = "投票编号Vote ID"
const VoteSuccessfulVoteName = "投票名称Vote Name"
const VoteSuccessfulDetectedVote = "所投的票Your Vote"

const VoteSuggestionNote = "\n备注：这个系统即将被一个指令代替。\nNote: This system is going to be replaced by a command soon."
const VoteSuggestionErrorTitle = "开始新的投票错误Vote Suggestion Error"
const ErrorVoteSuggestionNotEnoughInfo = "请提供更多资料。\nPlease provide more information."
const ErrorVoteSuggestionTooLong = "你投票的内容过长了。请使用少过500个字符。\nYour vote is too long. Please use a maximum of 500 characters."
const ErrorVoteSuggestionUnknownType = "未知投票种类Unknown Vote Type: %s"

//==Commands==
const SendAsUsage = "!sendas <频道ID> <信息>\n!sendas <channel ID> <message>"
const SendAsSuccessfulDescription = "成功发送该信息。\nSent the message successfully."
const SendAsSuccessfulMessageID = "Discord编号 // Discord ID"

const EditAsUsage = "!editas <频道ID> <信息ID> <信息>\n!editas <channel ID> <message ID> <message>"
const EditAsSuccessfulDescription = "成功编辑该信息。\nEdited the message successfully."

//VTL is view trust level
const VTLColour = 0xE0E000
const VTLSingleUserTitle = "<@%s>的信誉分 <@%s>'s Trust Score"
const VTLSingleUserValue = "分数 Trust Score"
const VTLSingleUserServerTotal = "伺服器总分 Server Total"
const VTLSingleUserPercentage = "百分比 Percentage"
const VTLGlobalTitle = "伺服器信誉分报告 Server Trust Score Report"
const VTLGlobalFieldFormat = "%.1f/%.1f (%.2f%%)"

const ValidateUsage = "!validate <验证码> <为自己拉票的字>\n!validate <validation code> <reason you should be accepted>"
const ValidateSuccess = "已向验证码制造者发送了请求。\nSent a request to use the validation code to its creator."
const ErrorValidateTitle = "验证错误Validation Error"
const ErrorValidationCodeReuse = "该验证码已被使用过。请向验证码制造者要求新的验证码。\nThis validation code has been used before. Please request a new one from its creator."
const ErrorValidationCodeNotExist = "该验证码不存在。请使用一位会员给你的验证码。\nThis validation code doesn't exist. Please use one given by a member."
const ErrorValidationCodeNotOwnedByMember = "验证码制造者不是会员。\nvalidation code creator is no longer a member."
const ErrorValidationCodeCreatorDisabledPM = "验证码制造者关闭了私信。\nValidation code creator did not enable DMs."
